package org.w3c.dom.ls;

import org.w3c.dom.Node;
import org.w3c.dom.DOMException;
import org.w3c.dom.Document;
import org.w3c.dom.DOMConfiguration;

public interface LSParser
{
    public static final short ACTION_APPEND_AS_CHILDREN = 1;
    public static final short ACTION_REPLACE_CHILDREN = 2;
    public static final short ACTION_INSERT_BEFORE = 3;
    public static final short ACTION_INSERT_AFTER = 4;
    public static final short ACTION_REPLACE = 5;
    
    public abstract DOMConfiguration getDomConfig();
    
    public abstract LSParserFilter getFilter();
    
    public abstract void setFilter(LSParserFilter p0);
    
    public abstract boolean getAsync();
    
    public abstract boolean getBusy();
    
    public abstract Document parse(LSInput p0) throws DOMException, LSException;
    
    public abstract Document parseURI(String p0) throws DOMException, LSException;
    
    public abstract Node parseWithContext(LSInput p0, Node p1, short p2) throws DOMException, LSException;
    
    public abstract void abort();
}
